/* Window Picker */

$window_picker_spacing: $container_padding; // 6px
$window_picker_padding: $container_padding * 2; // 12px
$window_close_button_size: 30px;
$window_close_button_padding: 3px;

// Window picker
.window-picker {
  // Space between window thumbnails
  spacing: $window_picker_spacing;
}

// Window titles
.window-caption {
  color: $inverse_fg_color;
  background-color: $dark_bg_color;
  border-radius: if($corner-style == 'circular', $circular_radius, $material_radius);
  padding: $container_padding $container_padding * 2;
}

// Close button
.window-close {
  background-color: $system_bg_color;
  color: $light_fg_color;
  border-radius: $window_close_button_size * 0.5 + $window_close_button_padding * 2;
  padding: $window_close_button_padding;
  height: $window_close_button_size;
  width: $window_close_button_size;
  box-shadow: -1px 1px 5px 0px rgba(0,0,0,0.5);
  transition-duration: 300ms;

  & StIcon { icon-size: 24px; }

  &:hover {
    background-color: lighten($system_bg_color, 15%);
  }

  &:active {
    color: transparentize($light_fg_color, 0.2);
    background-color: darken($system_bg_color, 5%);
  }
}

.workspace-background {
  // keep in sync with BACKGROUND_CORNER_RADIUS_PIXELS in workspace.js
  border-radius: 30px;
  background-color: $system_bg_color;
  box-shadow: 0 4px 16px 4px rgba(black, 0.15);
}
